> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Issued Discounts

> Get a member's issued discounts.



## OpenAPI

````yaml get /inventory/members/{member_id}/issued-discounts
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /inventory/members/{member_id}/issued-discounts:
    get:
      tags:
        - provider
        - inventory
      summary: Get Issued Discounts
      description: Get a member's issued discounts.
      operationId: get_issued_discounts_inventory_members__member_id__issued_discounts_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: member_id
          in: path
          required: true
          schema:
            type: string
            title: Member Id
        - name: itemName
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Itemname
        - name: quantityRemainingMin
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Quantityremainingmin
        - name: quantityRemainingMax
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Quantityremainingmax
        - name: createdDateStart
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Createddatestart
        - name: createdDateEnd
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Createddateend
        - name: expiryDateStart
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Expirydatestart
        - name: expiryDateEnd
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Expirydateend
        - name: includeExpired
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Includeexpired
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IssuedDiscountDetail'
                title: >-
                  Response Get Issued Discounts Inventory Members  Member Id 
                  Issued Discounts Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IssuedDiscountDetail:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the discount bank entry
        memberId:
          type: string
          title: Memberid
          description: ID of the member
        membershipDiscountId:
          type: string
          title: Membershipdiscountid
          description: ID of the membership discount
        quantityRemaining:
          type: integer
          title: Quantityremaining
          description: Quantity remaining in the bank
        expiryDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expirydate
          description: When this bank entry expires
        membershipDiscount:
          $ref: '#/components/schemas/MembershipDiscountDetail'
          description: Details of the membership discount
        usageCount:
          type: integer
          title: Usagecount
          description: Number of times this discount has been used
          default: 0
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
          description: When the bank entry was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: When the bank entry was last updated
        items:
          anyOf:
            - items:
                $ref: '#/components/schemas/ChargeItem'
              type: array
            - type: 'null'
          title: Items
          description: Items that have been used from this bank entry
        packages:
          anyOf:
            - items:
                $ref: '#/components/schemas/SoldPackage-Output'
              type: array
            - type: 'null'
          title: Packages
          description: Packages that have been used from this bank entry
      type: object
      required:
        - id
        - memberId
        - membershipDiscountId
        - quantityRemaining
        - membershipDiscount
      title: IssuedDiscountDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MembershipDiscountDetail:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the membership discount
        membershipId:
          type: string
          title: Membershipid
          description: ID of the membership this discount belongs to
        itemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Itemid
          description: ID of the specific item for this discount (includes packages)
        itemCategory:
          anyOf:
            - type: string
            - type: 'null'
          title: Itemcategory
          description: Category name for items in this discount (references category.name)
        isPhysical:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isphysical
          description: >-
            Whether this discount applies to physical items (True), services
            (False), or neither (None)
        discountPercentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Discountpercentage
          description: Discount percentage
        discountAmount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Discountamount
          description: Discount amount in cents
        creditAmount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Creditamount
          description: Credit amount in cents
        quantity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Quantity
          description: Quantity for this discount
        rollover:
          type: boolean
          title: Rollover
          description: Whether to rollover unused quantities
          default: false
        rolloverExpiryDays:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rolloverexpirydays
          description: Days until rollover items expire
        neverExpire:
          type: boolean
          title: Neverexpire
          description: Whether rollover items never expire
          default: false
        group:
          anyOf:
            - type: string
            - type: 'null'
          title: Group
          description: Group for this discount
        isArchived:
          type: boolean
          title: Isarchived
          description: Whether the discount is archived
          default: false
        item:
          anyOf:
            - $ref: '#/components/schemas/ItemTiny'
            - type: 'null'
          description: Item that has been used from this discount (includes packages)
      type: object
      required:
        - membershipId
      title: MembershipDiscountDetail
    ChargeItem:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Unique identifier for the charge item
        itemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Itemid
          description: Optional unique identifier for the item
        chargeId:
          type: string
          title: Chargeid
          description: Identifier of the charge this item is associated with
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Name of the item (None for items with associated inventory item)
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the item
        quantity:
          type: integer
          title: Quantity
          description: Quantity of the item being charged
        discountAmount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Discountamount
          description: Discount amount for the item
        discountPercentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Discountpercentage
          description: Discount percentage for the item
        discountReason:
          anyOf:
            - type: string
            - type: 'null'
          title: Discountreason
          description: Reason for discount
        price:
          type: integer
          title: Price
          description: Price of the item in cents
        soldPackageId:
          anyOf:
            - type: string
            - type: 'null'
          title: Soldpackageid
          description: Unique identifier for the sold package usage
        bankedQuantity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Bankedquantity
          description: Quantity to bank for later use
        bankedItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankeditemid
          description: ID of banked item being used (for tracking usage)
        issuedDiscountId:
          anyOf:
            - type: string
            - type: 'null'
          title: Issueddiscountid
          description: Unique identifier for the specific issued discount instance used
        soldByProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Soldbyproviderid
          description: Unique identifier for the provider who sold the item
        taxAmount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Taxamount
          description: Tax amount for the item in cents
        pricingId:
          anyOf:
            - type: string
            - type: 'null'
          title: Pricingid
          description: Unique identifier for the pricing for the item
        shipmentIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Shipmentids
          description: Optional list of shipment IDs to reduce the stock quantity of
      type: object
      required:
        - chargeId
        - quantity
        - price
      title: ChargeItem
    SoldPackage-Output:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the sold package
        packageId:
          type: string
          title: Packageid
          description: Package ID that was sold
        patientId:
          type: string
          title: Patientid
          description: Patient ID who purchased the package
        chargeItemId:
          type: string
          title: Chargeitemid
          description: Charge item ID associated with the package purchase
        status:
          $ref: '#/components/schemas/PackageStatus'
          description: Status of the sold package
        package:
          anyOf:
            - $ref: '#/components/schemas/Package-Output'
            - type: 'null'
          description: Details of the package
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: Date the package was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: Date the package was updated
      type: object
      required:
        - packageId
        - patientId
        - chargeItemId
        - status
        - createdDate
      title: SoldPackage
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ItemTiny:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the item
        name:
          type: string
          title: Name
          description: Name of the item
        brandName:
          anyOf:
            - type: string
            - type: 'null'
          title: Brandname
          description: Optional brand name of the item
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Optional description of the item
        price:
          type: integer
          title: Price
          description: Price of the item in cents
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
          description: Category name (references category.name)
        unit:
          anyOf:
            - $ref: '#/components/schemas/Unit'
            - type: 'null'
          description: Unit of measurement for the item
        isPhysical:
          type: boolean
          title: Isphysical
          description: Whether the item is physical
          default: true
        isArchived:
          type: boolean
          title: Isarchived
          description: Whether the item is archived
          default: false
        internalNotes:
          anyOf:
            - type: string
            - type: 'null'
          title: Internalnotes
          description: Optional internal notes for the item
        taxable:
          type: boolean
          title: Taxable
          description: Whether the item is subject to taxes
          default: false
        sortOrder:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sortorder
          description: Optional sort order for the item
        allowCustomPricing:
          type: boolean
          title: Allowcustompricing
          description: Whether custom pricing is allowed for this item
          default: false
        type:
          $ref: '#/components/schemas/ItemType'
          description: Type of item (PRODUCT, MEDICATION, etc.)
          default: PRODUCT
      type: object
      required:
        - name
        - price
      title: ItemTiny
    PackageStatus:
      type: string
      enum:
        - USED
        - ACTIVE
        - CANCELLED
      title: PackageStatus
    Package-Output:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the package
        name:
          type: string
          title: Name
          description: Name of the package
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Optional description of the package
        isArchived:
          type: boolean
          title: Isarchived
          description: Whether the package is archived
          default: false
        price:
          type: integer
          title: Price
          description: Price of the package in cents
        internalNotes:
          anyOf:
            - type: string
            - type: 'null'
          title: Internalnotes
          description: Optional internal notes for the package
        items:
          anyOf:
            - items:
                $ref: '#/components/schemas/PackageItem-Output'
              type: array
            - type: 'null'
          title: Items
          description: Items included in the package
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
          description: Category name (references category.name)
      type: object
      required:
        - name
        - price
      title: Package
    Unit:
      type: string
      enum:
        - AMPOULES
        - APPLICATORS
        - BOTTLES
        - BOXES
        - CAPSULES
        - CUPS
        - DOSES
        - G_PER_ML
        - GRAMS
        - IU
        - IU_PER_ML
        - OUNCES
        - FLUID_OUNCES
        - KG
        - KITS
        - LITERS
        - MCG
        - MG
        - MG_PER_ML
        - ML
        - MMOL
        - MICROGRAM_PER_ML
        - PACKS
        - PAIRS
        - PATCHES
        - PERCENTAGE
        - PIECES
        - POUCHES
        - ROLLS
        - SACHETS
        - SHEETS
        - SPRAYS
        - STRIPS
        - SYRINGES
        - TABLETS
        - TABLETS_PER_DAY
        - TESTS
        - TUBES
        - UNITS
        - VIALS
        - TREATMENTS
        - SESSIONS
        - PULSES
        - JOULES
        - CENTIMETERS
        - THREAD_COUNT
        - INJECTIONS
        - WRINKLE_UNITS
        - POUNDS
        - FEET
        - INCHES
      title: Unit
    ItemType:
      type: string
      enum:
        - ITEM
        - PRODUCT
        - MEDICATION
        - SERVICE
        - PACKAGE
        - MEMBERSHIP
      title: ItemType
    PackageItem-Output:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the package item
        packageId:
          type: string
          title: Packageid
          description: Package ID this item belongs to
        itemId:
          type: string
          title: Itemid
          description: Item ID for this package item
        quantity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Quantity
          description: Quantity of the item in the package
        price:
          type: integer
          title: Price
          description: Price of the item in the package in cents
        item:
          anyOf:
            - $ref: '#/components/schemas/ItemTiny'
            - type: 'null'
          description: Details of the item
      type: object
      required:
        - packageId
        - itemId
        - price
      title: PackageItem

````